API ReferenceQuotes

Get Quote

Deprecated

GET
/v2/quotes/{quoteId}

Please use GET /fxquotes/{quoteId} endpoint instead

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

quoteId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v2/quotes/string"
{  "expires": "2019-08-24T14:15:22Z",  "fxDetails": [    {      "buy": {        "amount": 80,        "currency": "GBP"      },      "fixedAmountType": "NotSet",      "rate": {        "baseCurrency": "GBP",        "buyCurrency": "GBP",        "inverseRate": 0,        "rate": 0,        "sellCurrency": "GBP"      },      "remainingBuyForward": {        "amount": 80,        "currency": "GBP"      },      "remainingSellForward": {        "amount": 80,        "currency": "GBP"      },      "sell": {        "amount": 80,        "currency": "GBP"      },      "effectiveDate": "2019-08-24",      "quoteType": "Spot",      "remainingToDisburse": {        "amount": 80,        "currency": "GBP"      },      "valueDate": "2019-08-24"    }  ],  "quoteTime": "2019-08-24T14:15:22Z",  "clientTransferNumber": "string",  "quoteId": "string",  "status": "NotSet",  "summary": [    {      "initialMargin": {        "amount": 0,        "currency": "GBP"      },      "remainingSettlement": {        "amount": 0,        "currency": "GBP",        "valueDate": "2019-08-24"      },      "settlementAmount": {        "amount": 0,        "currency": "GBP"      },      "settlementFees": {        "amount": 0,        "currency": "GBP"      }    }  ]}
{  "code": 0,  "failureDateTime": "2019-08-24T14:15:22Z",  "longErrorMsg": "string",  "shortErrorMsg": "string",  "traceErrorId": "string",  "typeOfFailure": "MODEL_VALIDATION"}
Empty
Empty
Empty
Get help